Basement.Block

data Block ty

data MutableBlock ty st

# Properties

length

# Lowlevel functions

unsafeThaw

unsafeFreeze

unsafeIndex

thaw

freeze

copy

# safer api

create

isPinned

isMutablePinned

singleton

replicate

index

map

foldl'

foldr

foldl1'

foldr1

cons

snoc

uncons

unsnoc

sub

splitAt

revSplitAt

splitOn

break

breakEnd

span

elem

all

any

find

filter

reverse

sortBy

intersperse

# Foreign interfaces

unsafeCopyToPtr